1.15.18 -> 1.15.20 mtupgrade Javascript errors

Need help upgrading your Joomla! website or converting to Joomla! 1.5?
Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
andrzejlipski
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Sun Feb 10, 2008 4:14 am

1.15.18 -> 1.15.20 mtupgrade Javascript errors

Postby andrzejlipski » Thu Aug 05, 2010 8:49 pm

Upgrade form 1.15.18 to 1.15.20. No problems what so ever.

I then enabled the mtupgrade to get support for mootools 1.2 and I'm getting an odd behavior.

Code: Select all

uncaught exception: [Exception... "Illegal operation on WrappedNative prototype object"  nsresult: "0x8057000c (NS_ERROR_XPC_BAD_OP_ON_WN_PROTO)"  location: "JS frame :: http://mydomain.com/plugins/system/mtupgrade/mootools.js :: $extend :: line 1"  data: no]
Line 0


Appears 4 times in the firebug console. Anything I can do to correct this?

andrzejlipski
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Sun Feb 10, 2008 4:14 am

Re: 1.15.18 -> 1.15.20 mtupgrade Javascript errors

Postby andrzejlipski » Thu Aug 05, 2010 9:03 pm

update: I used the mootools-uncompressed.js and the error appears on line 203

Code: Select all

uncaught exception: [Exception... "Illegal operation on WrappedNative prototype object"  nsresult: "0x8057000c (NS_ERROR_XPC_BAD_OP_ON_WN_PROTO)"  location: "JS frame :: http://girlunderglass.com/plugins/system/mtupgrade/mootools.js :: $extend :: line 203"  data: no]

Line 0


Code: Select all

202 function $extend(original, extended){
203 for (var key in (extended || {})) original[key] = extended[key];
204 return original;
205};

User avatar
TrueFact2
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Sat Apr 04, 2009 5:04 am
Location: Egypt
Contact:

Re: 1.15.18 -> 1.15.20 mtupgrade Javascript errors

Postby TrueFact2 » Thu Aug 19, 2010 11:28 pm

I had some error related to banners caused by mtupgrade as well after upgrading from 1.5.18 to 1.5.20. All banners on my site using custom java script codes has stopped reporting impressions and clicks to the advertiser's server. Although no errors were displayed when enabling debug mode, everything is back to normal, impressions and clicks are being reported correctly, after disabling mtupgrade plugin.

banner code example:

Code: Select all

<iframe src="http://view.atdmt.com/FXM/iview/245081311/direct;wi.728;hi.90/01?click=" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" topmargin="0" leftmargin="0" allowtransparency="true" width="728" height="90">
<script language="JavaScript" type="text/javascript">
document.write('<a href="http://clk.atdmt.com/FXM/go/245081311/direct;wi.728;hi.90/01/" target="_blank"><img src="http://view.atdmt.com/FXM/view/245081311/direct;wi.728;hi.90/01/"/></a>');
</script><noscript><a href="http://clk.atdmt.com/FXM/go/245081311/direct;wi.728;hi.90/01/" target="_blank"><img border="0" src="http://view.atdmt.com/FXM/view/245081311/direct;wi.728;hi.90/01/" /></a></noscript></iframe>


Searching the web, I found that this code has been generated by Atlas Solutions advertising service.
Mustafa Rawi
IT Manager
iTranslate Unlimited

zebee
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Fri Apr 15, 2011 11:35 am

Re: 1.15.18 -> 1.15.20 mtupgrade Javascript errors

Postby zebee » Fri Apr 15, 2011 11:49 am

Hi,

just thought I'd mention my workaround, since I couldn't find a solution anywhere, and since it might save others a lot of time - I simply added a try..catch in the $extend method, returning original in the catch clause. If anyone sees any problems with this or has a better idea, please let me know here. Thanks!

zebee

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16072
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: 1.15.18 -> 1.15.20 mtupgrade Javascript errors

Postby leolam » Fri Apr 15, 2011 1:43 pm

We are on Joomla 1.5.23 at present...Joomla 1.5.20 has serious security issues so you need to upgrade immediately to Joomla latest!!!!!!!!!

Leo 8)
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --


Return to “Migrating and Upgrading to Joomla! 1.5”

Who is online

Users browsing this forum: No registered users and 4 guests